models = {
    'EQMA_250', 'singleModel';
    'DCC_1_1', 'singleModel';
    'TDCC', 'singleModel';
    'thick_10perc_AIC', 'averageModel';
    'thick_25perc_AIC', 'averageModel';
    'thick_50perc_AIC', 'averageModel';
    };


for j = 1:size(models,1)

    x1 = IPT_tests.multivariate.(models{j,2}).(models{j,1}).t7.IPT;
    x1 = x1(~isnan(x1));

    x2 = (0:length(x1)-1)'/(length(x1)-1);
    binEdges    =  [-inf ; sort([x1;x2]) ; inf];

    N = length(x1);

    binCounts1  =  histc (x1 , binEdges, 1);
    binCounts2  =  histc (x2 , binEdges, 1);

    sumCounts1  =  cumsum(binCounts1)./sum(binCounts1);
    sumCounts2  =  cumsum(binCounts2)./sum(binCounts2);

    sampleCDF1  =  sumCounts1(1:end-1);
    sampleCDF2  =  sumCounts2(1:end-1);

    figure(j)
    plot(sampleCDF2, sampleCDF1, sampleCDF2, sampleCDF2, ':k')
    axis square
%     subplot(2,1,2), plot(sampleCDF2, sampleCDF1 - sampleCDF2, sampleCDF2, sampleCDF2*0, ':k')
    fileName = ['qq.',models{j,1},'.emf'];
    print([baseDirectory,'\tex\figures\',fileName],'-dmeta');            

end
