function [Strategies, strategyNames] = listOfStrategies(Models)

nModels = length(fieldnames(Models));

Strategies = struct;

Strategies.best_AIC = struct('name','Best (AIC)','criterion','AIC','nModels',1,'weighting','equal');
Strategies.best_BIC = struct('name','Best (BIC)','criterion','BIC','nModels',1,'weighting','equal');

Strategies.Bayesian_AIC = struct('name','Bayesian Average (AIC)','criterion','AIC','nModels','all','weighting','AIC');
Strategies.Bayesian_BIC = struct('name','Bayesian Average (BIC)','criterion','BIC','nModels','all','weighting','BIC');

Strategies.thick_10perc_AIC = struct('name','Thick Average (10% best AIC)', ...
    'criterion','AIC','nModels',ceil(nModels*0.1),'weighting','equal');
Strategies.thick_10perc_BIC = struct('name','Thick Average (10% best BIC)', ...
    'criterion','BIC','nModels',ceil(nModels*0.1),'weighting','equal');

Strategies.thick_25perc_AIC = struct('name','Thick Average (25% best AIC)', ...
    'criterion','AIC','nModels',ceil(nModels*0.25),'weighting','equal');
Strategies.thick_25perc_BIC = struct('name','Thick Average (25% best BIC)', ...
    'criterion','BIC','nModels',ceil(nModels*0.25),'weighting','equal');

Strategies.thick_50perc_AIC = struct('name','Thick Average (50% best AIC)', ...
    'criterion','AIC','nModels',ceil(nModels*0.50),'weighting','equal');
Strategies.thick_50perc_BIC = struct('name','Thick Average (50% best BIC)', ...
    'criterion','BIC','nModels',ceil(nModels*0.50),'weighting','equal');

Strategies.thick_75perc_AIC = struct('name','Thick Average (75% best AIC)', ...
    'criterion','AIC','nModels',ceil(nModels*0.75),'weighting','equal');
Strategies.thick_75perc_BIC = struct('name','Thick Average (75% best BIC)', ...
    'criterion','BIC','nModels',ceil(nModels*0.75),'weighting','equal');

Strategies.thick_all = struct('name','Thick Average (All)', ...
    'criterion','AIC','nModels',nModels,'weighting','equal');

strategyNames = fieldnames(Strategies);