function print_activeRiskManagement(ActiveRiskManagement)

modelNames = fieldnames(ActiveRiskManagement);

longWidth = 20;
width = 8;
shortWidth = 8;

disp('Model                   IR             Return           Pi(%)          z             Binding(%)')
disp('                        norm    t7     norm    t7       norm    t7     norm    t7  ')
for j = 1:length(modelNames)
    jModel = modelNames{j};
    genString = [jModel, blanks(longWidth-length(jModel))];

    if ~strcmp(jModel,'TDCC')
        normalOutput = ActiveRiskManagement.(jModel).normal;
        tOutput = ActiveRiskManagement.(jModel).t7;
    else
        normalOutput = ActiveRiskManagement.(jModel).endogenous;
        tOutput = ActiveRiskManagement.(jModel).endogenous;
    end
    IR = num2str(normalOutput.IR,'%1.2f');
    genString = [genString, blanks(shortWidth-length(IR)), IR];
    IR = num2str(tOutput.IR,'%1.2f');
    genString = [genString, blanks(shortWidth-length(IR)), IR];
    ret = num2str(normalOutput.avReturn*100*250,'%1.2f');
    genString = [genString, blanks(width-length(ret)), ret];
    ret = num2str(tOutput.avReturn*100*250,'%1.2f');
    genString = [genString, blanks(shortWidth-length(ret)), ret];
    pi = num2str(normalOutput.pi.stat*100,'%1.2f');
    genString = [genString, blanks(width-length(pi)), pi];
    pi = num2str(tOutput.pi.stat*100,'%1.2f');
    genString = [genString, blanks(width-length(pi)), pi];
    z = num2str(normalOutput.z.stat,'%1.2f');
    genString = [genString, blanks(width-length(z)), z];
    z = num2str(tOutput.z.stat,'%1.2f');
    genString = [genString, blanks(width-length(z)), z];
    binding = num2str(normalOutput.VaRConstraintBinding*100,'%1.0f');
    genString = [genString, blanks(width-length(binding)), binding];
    disp(genString)
end