function print_activeRiskManagement(ActiveRiskManagement)

modelNames = fieldnames(ActiveRiskManagement);

longWidth = 20;
width = 8;
shortWidth = 8;

disp('Model                   IR      Return  Pi(%)   z         Binding(%)')
% disp('                        norm    t7     norm    t7       norm    t7        ')
for j = 1:length(modelNames)
    jModel = modelNames{j};
    genString = [jModel, blanks(longWidth-length(jModel))];

        normalOutput = ActiveRiskManagement.(jModel).normal;
    IR = num2str(normalOutput.IR,'%1.2f');
    genString = [genString, blanks(shortWidth-length(IR)), IR];
    
    ret = num2str(normalOutput.avReturn*100*250,'%1.2f');
    genString = [genString, blanks(width-length(ret)), ret];
   
    pi = num2str(normalOutput.pi.stat*100,'%1.2f');
    genString = [genString, blanks(width-length(pi)), pi];
    
    z = num2str(normalOutput.z.stat,'%1.2f');
    genString = [genString, blanks(width-length(z)), z];  
  
    binding = num2str(normalOutput.VaRConstraintBinding*100,'%1.0f');
    genString = [genString, blanks(width-length(binding)), binding];
    disp(genString)
end