function nParameters = get_nParameters(estimatedParameters, modelType)

switch modelType
    case {'EQMA','EWMA','MMA'}
        nParameters = 0;
        
    case {'GEWMA', 'OGARCH'}
        nParameters = 0;
        N = length(estimatedParameters);
        for j = 1:N
            nParameters = nParameters + length(estimatedParameters{j});
        end
        
    case 'CCC'
        nParameters = 0;
        N = length(estimatedParameters.GARCH);
        for j = 1:N
            nParameters = nParameters + length(estimatedParameters.GARCH{j});
        end
        nParameters = nParameters + N*(N-1)/2;
        
    case 'factorGARCH'
        nParameters = length(estimatedParameters.common);
        N = length(estimatedParameters.idiosyncratic);
        for j = 1:N
            nParameters = nParameters + length(estimatedParameters.idiosyncratic{j});
        end
        
    case 'DCC'
        nParameters = length(estimatedParameters.correlation);
        N = length(estimatedParameters.GARCH);
        for j = 1:N
            nParameters = nParameters + length(estimatedParameters.GARCH{j});
        end
        
        case 'ADCC'
        nParameters = length(estimatedParameters.correlation);
        N = length(estimatedParameters.GJR);
        for j = 1:N
            nParameters = nParameters + length(estimatedParameters.GJR{j});
        end
        
    case {'TDCC', 'TDCC', 'GARCH', 'TGARCH', 'GJR'}
        nParameters = length(estimatedParameters);
        
end