function data = import_rawData(baseDirectory)

%% read the data from the csv file

[num, txt, raw] = xlsread([baseDirectory, 'rawdata\returns.csv']);

rawData.matrix = num;
rawData.variableNames = raw(1,2:end);
rawData.dates = nan(size(num,1),1);
for t = 1:length(rawData.dates)
    rawData.dates(t) = datenum(raw{t+1,1},'dd/mm/yyyy');
end

%% adjust the sample (by default we use the entire sample)

startDate = '01-Jan-1991';
endDate   = datestr(rawData.dates(end));

sample = find(rawData.dates >= datenum(startDate) & rawData.dates <= datenum(endDate));

data.variableNames = rawData.variableNames;
data.variableNamesShort = {'GBP'; 'EUR'; 'JPY'; 'CAD'; 'AUD'; 'CHF'; 'SP'; 'FTSE'; 'DAX'; 'NIKKEI'; '10Y US'; ...
    '10Y EUR'; '10Y Gilt'; '10Y JGB'; 'Gold'; 'Silver'; 'Wheat'; 'Crude'};
data.returns = rawData.matrix(sample,:);
data.dates  = rawData.dates(sample);

save([baseDirectory,'data.mat'],'data')