function marm_tables_activeRiskManagement_average(baseDirectory,ActiveRiskManagement,distributions,fontSize)

strategyArray = {
    'best_AIC',         'Best (AIC)';
    'best_BIC',         'Best (BIC)';
    'Bayesian_AIC',     'Bayesian Average (AIC)';
    'Bayesian_BIC',     'Bayesian Average (BIC)';
    'thick_10perc_AIC', 'Top 10\\%% (AIC)';
    'thick_10perc_BIC', 'Top 10\\%% (BIC)';
    'thick_25perc_AIC', 'Top 25\\%% (AIC)';
    'thick_25perc_BIC', 'Top 25\\%% (BIC)';
    'thick_50perc_AIC', 'Top 50\\%% (AIC)';
    'thick_50perc_BIC', 'Top 50\\%% (BIC)';
    'thick_75perc_AIC', 'Top 75\\%% (AIC)';
    'thick_75perc_BIC', 'Top 75\\%% (BIC)';
    'thick_all',        'All'
    };

modelNames = strategyArray(:,1);

outputArray = cell(length(modelNames),11);
for j = 1:length(modelNames)
    outputArray{j,1} = strategyArray{j,2};

    outputArray{j,2} = num2str(ActiveRiskManagement.averageModel.(modelNames{j}).normal.avReturn*100*250,'%1.2f');
    outputArray{j,3} = num2str(ActiveRiskManagement.averageModel.(modelNames{j}).normal.IR,'%1.2f');
    outputArray{j,4} = num2str(ActiveRiskManagement.averageModel.(modelNames{j}).normal.pi.stat*100 ,'%1.2f');
    outputArray{j,5} = num2str(ActiveRiskManagement.averageModel.(modelNames{j}).normal.z.stat ,'%1.2f');
    outputArray{j,6} = num2str(ActiveRiskManagement.averageModel.(modelNames{j}).normal.VaRConstraintBinding*100,'%1.0f');

    outputArray{j,7} = num2str(ActiveRiskManagement.averageModel.(modelNames{j}).t7.avReturn*100*250,'%1.2f');
    outputArray{j,8} = num2str(ActiveRiskManagement.averageModel.(modelNames{j}).t7.IR,'%1.2f');
    outputArray{j,9} = num2str(ActiveRiskManagement.averageModel.(modelNames{j}).t7.pi.stat*100 ,'%1.2f');
    outputArray{j,10} = num2str(ActiveRiskManagement.averageModel.(modelNames{j}).t7.z.stat ,'%1.2f');
    outputArray{j,11} = num2str(ActiveRiskManagement.averageModel.(modelNames{j}).t7.VaRConstraintBinding*100,'%1.0f');
end

fileName = ['activeRiskManagement.averageModels.tex'];
caption = ['Information Ratios and VaR Diagnostic Tests for Optimal Portfolio (Multivariate Modelling Strategies)'];

fid = fopen([baseDirectory,'\tex\tables\',fileName],'w');
fprintf(fid, '\\begin{table}[h!] \n');
fprintf(fid, '\\begin{%s} \n',fontSize);
fprintf(fid, ['\\caption{', caption, '} \n']);
fprintf(fid, ['\\label{T:', fileName(1:end-4), '} \n']);
fprintf(fid, '\\begin{center} \n');
fprintf(fid, '\\begin{tabular}{lrrrrr|rrrrr} \n');
fprintf(fid, '\\\\ \n');
fprintf(fid, '\\hline \\hline \n');
fprintf(fid, ['Model type  & \\multicolumn{5}{c}{Normal} &  \\multicolumn{5}{c}{Student (7)}  \\\\ \n']);
fprintf(fid, '  & mean &  IR & $\\hat{\\pi}$ & $z_{\\hat{\\pi}}$ & \\multicolumn{1}{r}{\\%% VaR} & mean & IR & $\\hat{\\pi}$ & $z_{\\hat{\\pi}}$  & \\%% VaR \\\\ \n');
fprintf(fid, '  & return   &     &               &  \\multicolumn{2}{r}{ binds}    &  return &      &               &    &  binds \\\\ \n');
fprintf(fid, '\\hline \n');

for j = 1:size(outputArray,1)
    if strcmp(outputArray{j,1},'line')
        fprintf(fid, '\\hline \n');
    else
        genericString = outputArray{j,1};
        for k = 2:size(outputArray,2)
            genericString = [genericString, ' & ', outputArray{j,k}]; %#ok<AGROW>
        end
        %             genericString = replace_underscores(genericString);
        fprintf(fid, [genericString, '\\\\ \n']);
    end
end


fprintf(fid, '\\hline \\hline \n');
fprintf(fid, '\\end{tabular} \n');
fprintf(fid, '\\end{center} \n');
fprintf(fid, 'Nominal tolerance probability $\\alpha = 1\\%%$ \n');
fprintf(fid, '\\end{%s} \n',fontSize);
fprintf(fid, '\\end{table} \n');
fclose(fid);
end