function marm_tables_weights_multivariate(baseDirectory,Weights,cutoff,fontSize,type)

fileName = ['weights.',type,'.tex'];
if strcmp(lower(type),'multivariate')
    caption = ['Average Weights of Top 10 Models of Bayesian Model Averaging Strategy in the Case of Multivariate Models'];
else
    caption = ['Average Weights of Top 10 Models of Bayesian Model Averaging Strategy for the Univariate Equally Weighted Portfolio'];
end

fid = fopen([baseDirectory,'\tex\tables\',fileName],'w');
fprintf(fid, '\\begin{table}[htbp] \n');
fprintf(fid, '\\begin{%s} \n',fontSize);
fprintf(fid, ['\\caption{', caption, '} \n']);
fprintf(fid, ['\\label{T:', fileName(1:end-4), '} \n']);
fprintf(fid, '\\begin{center} \n');
fprintf(fid, '\\begin{tabular}{lrrrrr|lrrrrr} \n');
fprintf(fid, '\\\\ \n');
fprintf(fid, '\\hline \\hline \n');
fprintf(fid, 'Rank & normal, AIC & normal, BIC & t7, AIC & t7, BIC \\\\ \n');
fprintf(fid, '\\hline \n');

nWeights = min(length(Weights.normal.AIC),cutoff);
outputArray = cell(nWeights,6);

for k = 1:nWeights
    outputArray{k,1} = num2str(k);
    outputArray{k,2} = num2str(Weights.normal.AIC(k),'%1.3f');
    outputArray{k,3} = num2str(Weights.normal.BIC(k),'%1.3f');
    outputArray{k,4} = num2str(Weights.t7.AIC(k),'%1.3f');
    outputArray{k,5} = num2str(Weights.t7.BIC(k),'%1.3f');
end

for j = 1:size(outputArray,1)
    genericString = outputArray{j,1};
    for k = 2:size(outputArray,2)
        genericString = [genericString, ' & ', outputArray{j,k}]; %#ok<AGROW>
    end

    fprintf(fid, [genericString, '\\\\ \n']);
end

fprintf(fid, '\\hline \\hline \n');
fprintf(fid, '\\end{tabular} \n');
fprintf(fid, '\\end{center} \n');
fprintf(fid, '\\end{%s} \n',fontSize);
fprintf(fid, '\\end{table} \n');
fclose(fid);






