function print_passiveRiskManagement(PassiveRiskManagement)

modelNames = fieldnames(PassiveRiskManagement);

longWidth = 20;
width = 8;
shortWidth = 8;

singleBar = repmat('-',1,85);

alphas = {'alpha_1', 'alpha_5'};

for k = 1:length(alphas)
    disp(' ')
    disp(singleBar)
    disp(alphas{k})
    disp('Model                   norm            t7')
    disp('                        Pi      Z       Pi      Z    ')
    disp(singleBar)
    for j = 1:length(modelNames)
        jModel = modelNames{j};
        genString = [jModel, blanks(longWidth-length(jModel))];

        if ~strcmp(jModel,'TDCC')
            normalOutput = PassiveRiskManagement.(jModel).normal;
            tOutput = PassiveRiskManagement.(jModel).t7;
        else
            normalOutput = PassiveRiskManagement.(jModel).normal;
            tOutput = PassiveRiskManagement.(jModel).endogenous;
        end

        for i = 1:2
            if i == 1
                output = normalOutput;
            else
                output = tOutput;
            end

            pi = num2str(output.VaR.(alphas{k}).pi*100, '%1.2f');
            z = num2str(output.VaR.(alphas{k}).z, '%1.2f');

            genString = [genString, blanks(shortWidth-length(pi)), pi];
            genString = [genString, blanks(shortWidth-length(z)), z];
        end

        disp(genString)
    end
end
disp(singleBar)