function [omegaStar, isBinding] = meanVariancePortfolio_t(Sigma, mu, alpha, DoF, maximumLoss, delta, cAlphaTilde)

mu = mu(:);

if ~exist('cAlphaTilde','var')
    if isinf(DoF)
        cAlphaTilde = norminv(alpha)*(-1);
    else
        cAlpha = tinv(alpha,DoF)*(-1);
        cAlphaTilde = sqrt((DoF-2)/DoF)*cAlpha;
    end
end

invSigma = inv(Sigma);
Sharpe2 = mu'*invSigma*mu;

deltaStar = (cAlphaTilde*sqrt(Sharpe2) - Sharpe2) / maximumLoss;

if delta >= deltaStar
    omegaStar = 1/delta*invSigma*mu;
    isBinding = 0;
else
    omegaStar = 1/deltaStar*invSigma*mu;
    isBinding = 1;
end

