function Sigma = evaluate_EQMA(series, n_0)

% 1.1 Equally-Weighted Moving Average (with window size n_0)

[T,N] = size(series);
Sigma = nan(N,N,T+1);

for t = n_0:T
    tSeries = series(t-n_0+1:t,:);
    Sigma(:,:,t+1) = 1/n_0 * tSeries'*tSeries;
end