function output = estimate_parameters(modelDescription, returns, windowSize, estimationFrequency, modelName)

output = modelDescription;

[T,N] = size(returns);

updateIndexes = (windowSize+1:estimationFrequency:T);
output.updateIndexes = updateIndexes;
output.estimatedParameters = cell(length(updateIndexes),1);

estimatedParameters = [];
modelName(modelName=='_') = '-';
h = waitbar(0, modelName);
for t = updateIndexes
    waitbar((t-windowSize)/(T-windowSize), h)
    drawnow
    tReturns = returns(t-windowSize+1:t,:);
    if strcmp(modelDescription.estimateParameters,'yes')
        disp(t)
        if t == 3926 && strcmp(modelDescription.type,'ADCC') && isequal(modelDescription.fixedParameters, [2, 1])
            % ------------------------------------------------------------------------------------
            %  exclude the sample period 3926 - 3950 because of convergence problems for the ADCC(2,1,1,1)
            % ------------------------------------------------------------------------------------
            disp('period 3926, ADCC(2,1,1,1), leave parameters unchanged')
        else
            try
                estimatedParameters = estimate_volatilityModel(modelDescription, tReturns, estimatedParameters);
                Sigma = evaluate_volatilityModel(modelDescription, tReturns, estimatedParameters);
                if ~isreal(Sigma(:,:,end))
                    disp('not real')
                    keyboard
                end
                try
                    P = chol(Sigma(:,:,end));
                catch
                    disp('not psd')
                    keyboard
                end

            catch
                disp('keyboard')
                keyboard
            end
        end
        output.estimatedParameters{updateIndexes == t} = estimatedParameters;
    end
end
close(h)